Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed
Class ViewKeeperSupport

    java.lang.Object
      org.jboss.messaging.core.distributed.ViewKeeperSupport

All Implemented Interfaces:
  ViewKeeper

public abstract class ViewKeeperSupport
extends java.lang.Object
implements ViewKeeper

Version:
  `$Revision: 1.1 $` $Id: ViewKeeperSupport.java,v 1.1 2005/11/27 05:58:28 ovidiu Exp $
Author:
  Ovidiu Feodorov

Field Summary
`protected java.io.Serializable` | `groupID`
`protected java.util.Map` | `remotePeers`

Constructor Summary
`ViewKeeperSupport(java.io.Serializable groupID)`

Method Summary
`void` | `addRemotePeer(RemotePeer remotePeer)`
`java.io.Serializable` | `getGroupID()`
`java.util.Set` | `getRemotePeers()` Return a set containing PeerIdentities of the remote peers.
`java.util.Iterator` | `iterator()` Return a RemotePeer iterator.
`RemotePeer` | `removeRemotePeer(PeerIdentity remotePeerIdentity)` Remove any reference to the specified remote peer.
`abstract java.lang.String` | `toString()` Must return a string that contains the groupID and the associated peer ID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### groupID

    protected java.io.Serializable groupID

### remotePeers

    protected java.util.Map remotePeers

Constructor Detail

### ViewKeeperSupport

    public ViewKeeperSupport(java.io.Serializable groupID)

Method Detail

### getGroupID

    public java.io.Serializable getGroupID()

  Specified by:
    `getGroupID` in interface `ViewKeeper`

### addRemotePeer

    public void addRemotePeer(RemotePeer remotePeer)

  Specified by:
    `addRemotePeer` in interface `ViewKeeper`

### removeRemotePeer

    public RemotePeer removeRemotePeer(PeerIdentity remotePeerIdentity)

  Description copied from interface: `ViewKeeper`
  Remove any reference to the specified remote peer.

  Specified by:
    `removeRemotePeer` in interface `ViewKeeper`

### getRemotePeers

    public java.util.Set getRemotePeers()

  Description copied from interface: `ViewKeeper`
  Return a set containing PeerIdentities of the remote peers.

  Specified by:
    `getRemotePeers` in interface `ViewKeeper`

### iterator

    public java.util.Iterator iterator()

  Description copied from interface: `ViewKeeper`
  Return a RemotePeer iterator.

  Specified by:
    `iterator` in interface `ViewKeeper`

### toString

    public abstract java.lang.String toString()

  Must return a string that contains the groupID and the associated peer ID.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.